Subject: RE: B20: df bug (NT 4.0 SP4) reports max disk size of 2.0 GB only
From: [email-masked] (Austin David France)

19 Nov 1998 20:57:50 -0800
Message-ID: <001501be13b2$5da42ee0$010120c0.cygnus.gnu-win32@menpc1>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="Windows-1252"
Content-Transfer-Encoding: 7bit
To: "Gnu-Win32 Mailing List (E-mail)" <[email-masked]>

> ---Krishna Sampath <[email-masked]> wrote:
> >
> >
> > the df command reports the same file size for all the disks on the
> > system.... i have 4 GHz disks but the program reports the following:
> >
> > Filesystem         1024-blocks  Used Available Capacity Mounted on
> > \\.\tape1:           2096450 1862158   234292     89%   /dev/st1
> > \\.\tape0:           2096450 1862158   234292     89%   /dev/st0
> > \\.\b:               2096450 1862158   234292     89%   /dev/fd1
> > \\.\a:               2096450 1862158   234292     89%   /dev/fd0
> > C:                   2096450 1862158   234292     89%   /
> >
> > any ideas?
> >
>
> If you wish to see the other disks you must mount them.
>
> mount d:\\ /d
> mount e:\\ /e
> etc.

I believe this is an observation on the output of the df command under NT40
SP4 rather than a question why other drives do not appear.

My environment (NTW40 SP4) experiences the same problem, the \\.\<device>:
entries all report the same size information as the first mount point on my
system.

	Filesystem         1024-blocks  Used Available Capacity Mounted on
->	h:                   8956204 4012060  4944144     45%   /h
	g:                    662940  662940        0    100%   /g
	f:                   2152512  922240  1230272     43%   /f
	e:                   4192933 2576657  1616276     61%   /e
->	\\.\tape1:           8956204 4012060  4944144     45%   /dev/st1
->	\\.\tape0:           8956204 4012060  4944144     45%   /dev/st0
->	\\.\b:               8956204 4012060  4944144     45%   /dev/fd1
->	\\.\a:               8956204 4012060  4944144     45%   /dev/fd0
	d:                   2499808 2194892   304916     88%   /d
	c:                   2560288 2139574   420714     84%   /c
	e:\GnuWin32          4192933 2576657  1616276     61%   /

Strange.
Austin David France
Mentor Systems plc
mailto:[email-masked]

------------------------------------------------------------------------

The views and opinions expressed in this e-mail message are the sender's
and do not necessarily represent the views of Mentor Systems plc.

------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".